Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC__EntropyCodingMethod_PartitionedRiceContents Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Public Attributes

unsigned * | parameters
unsigned * | raw_bits
unsigned | capacity_by_order

## Detailed Description

Contents of a Rice partitioned residual

## Member Data Documentation

unsigned* FLAC__EntropyCodingMethod_PartitionedRiceContents::parameters

| The Rice parameters for each context.

unsigned* FLAC__EntropyCodingMethod_PartitionedRiceContents::raw_bits

| Widths for escape-coded partitions.

unsigned FLAC__EntropyCodingMethod_PartitionedRiceContents::capacity_by_order

| The capacity of the parameters and raw_bits arrays specified as an order, i.e. the number of array elements allocated is 2 ^ capacity_by_order.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h